/* exported UIPIconFontPage*/
/* global Utils, UIPPreviewAnchor*/
/**
 *
 * @param {ProviderData} data
 * @constructor
 */
function UIPIconFontPage(data) {
    'use strict';

    UIPIconFontPage.superclass.constructor.call(this, data);
}

Utils.extend(UIPIconFontPage, UIPPreviewAnchor);

UIPIconFontPage.prototype.getItems = function (callback) {
    'use strict';

    var items = [];
    if (window.IconFontPageProvider) {
        for (var i = 0, categories = window.IconFontPageProvider.categories; i < categories.length; i++) {
            var item = {
                caption: categories[i].caption,
                value: categories[i].value,
                icon: categories[i].icon,
                group: '',
                class: categories[i].value
            };
            items.push(item);
        }
    }
    //this.value(items[0].value);
    callback(null, items);
};
